package cn.superdesk.uniorder.dubbo.consumer.sys.role;

import cn.superdesk.uniorder.common.rest.response.R;
import cn.superdesk.uniorder.dao.entity.sys.role.SysRoleExtDataSamplePermission;
import cn.superdesk.uniorder.dto.dubbo.sys.role.SysRoleExtDataSamplePermissionParam;
import cn.superdesk.uniorder.dubbo.facade.sys.role.DubboSysRoleExtDataSamplePermissionService;
import com.alibaba.dubbo.config.annotation.Reference;
import com.github.pagehelper.PageInfo;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Component;

import java.util.List;
import java.util.Map;

/**
 * @Description: 角色定义-扩展-数据权限许可(所谓的数据主体) 平铺
 * @Author: linjinyu
 * @Email linjinyu@avic-s.com
 * @CreateDate: 2020-08-26 14:15:28
 * @UpdateUser: linjinyu
 * @UpdateDate: 2020-08-26 14:15:28
 * @UpdateRemark: 修改内容
 * @Version: 1.0
 */
@Slf4j
@Component
public class SysRoleExtDataSamplePermissionDubboConsumerService {

	@Reference(version = "1.0.0", timeout = 10000, retries = -1)
	private DubboSysRoleExtDataSamplePermissionService dubboSysRoleExtDataSamplePermissionService;


	/****************************************** extends BaseService 部分 start ******************************************/

	public void addObj(SysRoleExtDataSamplePermissionParam param) {

		dubboSysRoleExtDataSamplePermissionService.addObj(param);

	}

	public void updateObj(SysRoleExtDataSamplePermissionParam param) {

		dubboSysRoleExtDataSamplePermissionService.updateObj(param);
	}

	public void deleteObj(Long id) {

		dubboSysRoleExtDataSamplePermissionService.deleteObj(id);
	}

	public SysRoleExtDataSamplePermission findById(Long id) {

		return dubboSysRoleExtDataSamplePermissionService.findById(id);
	}

	public PageInfo<SysRoleExtDataSamplePermission> findByPaging(Map<String, Object> conditions, Integer pageNun, Integer pageSize) {

		return dubboSysRoleExtDataSamplePermissionService.findByPaging(conditions, pageNun, pageSize);
	}

	public List<SysRoleExtDataSamplePermission> findAll(Map<String, Object> queryMap) {

		return dubboSysRoleExtDataSamplePermissionService.findAll(queryMap);
	}

	/****************************************** extends BaseService 部分   end ******************************************/


	public void addSysRoleExtDataSamplePermission(SysRoleExtDataSamplePermissionParam param) {

		dubboSysRoleExtDataSamplePermissionService.addSysRoleExtDataSamplePermission(param);
	}


	public void updateSysRoleExtDataSamplePermission(SysRoleExtDataSamplePermissionParam param) {

		dubboSysRoleExtDataSamplePermissionService.updateSysRoleExtDataSamplePermission(param);
	}


	public void deleteSysRoleExtDataSamplePermission(Long id) {
		dubboSysRoleExtDataSamplePermissionService.deleteSysRoleExtDataSamplePermission(id);
	}


	public SysRoleExtDataSamplePermission findSysRoleExtDataSamplePermissionById(Long id) {

		return dubboSysRoleExtDataSamplePermissionService.findSysRoleExtDataSamplePermissionById(id);
	}


	public R<List<SysRoleExtDataSamplePermission>> pageQuery(Map<String, Object> conditions, int pageNun, int pageSize) {

		return dubboSysRoleExtDataSamplePermissionService.pageQuery(conditions, pageNun, pageSize);
	}
}
